# $Revision: 1.27 $, $Date: 2005/08/28 18:01:34 $
# TODO:
# - symlink Helvetica from ghostscript-fonts-std?
# - reenable cairo as soon as versions >= 0.5 will be supported
#
# Conditional build:
%bcond_without	art	# don't build art backend
%bcond_with	cairo	# don't build cairo backend
#
Summary:	The GNUstep backend bundle
Summary(pl):	Pakiet backendowy GNUstep
Name:		gnustep-back
Version:	0.10.0
Release:	2
License:	LGPL/GPL
Vendor:		The GNUstep Project
Group:		X11/Libraries
Source0:	ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz
# Source0-md5:	8031e2d93b4d3359e167be620d1925fb
URL:		http://www.gnustep.org/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	XFree86-DPS-devel
%{?with_cairo:BuildRequires:	cairo-devel < 0.5.0}
%{?with_art:BuildRequires:	freetype-devel >= 2.1.8}
BuildRequires:	gnustep-gui-devel >= %{version}
%{?with_art:BuildRequires:	libart_lgpl-devel}
BuildRequires:	pkgconfig
BuildRequires:	xft-devel
Requires:	OpenGL
Requires:	gnustep-gui >= %{version}
Obsoletes:	gnustep-back-devel
Obsoletes:	gnustep-xgps
Conflicts:	gnustep-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/%{_lib}/GNUstep

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
This is a backend for the GNUstep gui Library which allows you to use
the GNUstep gui Library on an X Window System (other backends will
be added later to allow you to use the GNUstep gui Library in other
windowing environments).

This package contains common part and xlib graphics backend.

%description -l pl
To jest backend dla biblioteki GNUstep GUI, pozwalajcy na uywanie
biblioteki graficznego interfejsu uytkownika GNUstep pod systemem X
Window (inne backendy, pozwalajce na uywanie biblioteki GNUstep GUI
w innych rodowiskach okienkowych, zostan dodane pniej).

Ten pakiet zawiera cz wspln i backend graficzny xlib.

%package art
Summary:	GNUstep graphics backend - art
Summary(pl):	Graficzny backend GNUstep - art
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	freetype >= 2.1.8
Conflicts:	gnustep-core

%description art
GNUstep graphics backend - art.

%description art -l pl
Graficzny backend GNUstep - art.

%package cairo
Summary:	GNUstep graphics backend - cairo
Summary(pl):	Graficzny backend GNUstep - cairo
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo < 0.5.0

%description cairo
GNUstep graphics backend - cairo.

%description cairo -l pl
Graficzny backend GNUstep - cairo.

%package xdps
Summary:	GNUstep graphics backend - xdps
Summary(pl):	Graficzny backend GNUstep - xdps
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gnustep-xdps
Conflicts:	gnustep-core

%description xdps
GNUstep graphics backend - xdps.

%description xdps -l pl
Graficzny backend GNUstep - xdps.

%prep
%setup -q

# prepare the trees (for art, cairo, xdps, xlib backends)
echo * > files.list
%if %{with art}
install -d back-art 
cp -a `cat files.list` back-art
%endif
%if %{with cairo}
install -d back-cairo
cp -a `cat files.list` back-cairo
%endif
install -d back-xdps
cp -a `cat files.list` back-xdps
ln -sf . back-xlib

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

for g in %{?with_art:art} %{?with_cairo:cairo} xdps xlib ; do
cd back-$g
if [ "$g" = "xlib" ]; then
	INC='--with-include-flags=-I/usr/include/freetype2'
	NAME="back"
else
	INC=
	NAME="back-$g"
fi
%configure \
	--enable-graphics=$g \
	--with-name=$NAME \
	$INC

%{__make} \
	messages=yes
cd ..
done

%{__make} -C Documentation

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

for g in %{?with_art:art} %{?with_cairo:cairo} xdps xlib ; do
if [ "$g" = "xlib" ]; then
	NAME="back"
else
	NAME="back-$g"
fi
%{__make} install -C back-$g \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System \
	BUILD_GRAPHICS="$g" \
	BACKEND_NAME="$NAME"
done

%{__make} install -C Documentation \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System \

# not (yet?) supported by rpm-compress-doc
find $RPM_BUILD_ROOT%{_prefix}/System/Library/Documentation -type f \
	! -name '*.gz' | xargs gzip -9nf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%docdir %{_prefix}/System/Library/Documentation
%{_prefix}/System/Library/Documentation/Developer/Back
%{_prefix}/System/Library/Documentation/man/man1/gpbs.1*

%dir %{_prefix}/System/Library/Bundles/libgnustep-back-010.bundle
%{_prefix}/System/Library/Bundles/libgnustep-back-010.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Library/Bundles/libgnustep-back-010.bundle/%{gscpu}

# XXX: n0190{0,2,4,6}{3,4}.{pfb,afm,pfm} - symlink from ghostscript-fonts-std?
%{_prefix}/System/Library/Fonts/Helvetica.nfont

%attr(755,root,root) %{_prefix}/System/Tools/%{gscpu}/%{gsos}/%{libcombo}/*

%if %{with art}
%files art
%defattr(644,root,root,755)
%dir %{_prefix}/System/Library/Bundles/libgnustep-back-art-010.bundle
%{_prefix}/System/Library/Bundles/libgnustep-back-art-010.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Library/Bundles/libgnustep-back-art-010.bundle/%{gscpu}
%endif

%if %{with cairo}
%files cairo
%defattr(644,root,root,755)
%dir %{_prefix}/System/Library/Bundles/libgnustep-back-cairo-010.bundle
%{_prefix}/System/Library/Bundles/libgnustep-back-cairo-010.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Library/Bundles/libgnustep-back-cairo-010.bundle/%{gscpu}
%endif

%files xdps
%defattr(644,root,root,755)
%dir %{_prefix}/System/Library/Bundles/libgnustep-back-xdps-010.bundle
%{_prefix}/System/Library/Bundles/libgnustep-back-xdps-010.bundle/Resources
%attr(755,root,root) %{_prefix}/System/Library/Bundles/libgnustep-back-xdps-010.bundle/%{gscpu}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnustep-back.spec,v $
Revision 1.27  2005/08/28 18:01:34  arekm
- disable cairo

Revision 1.26  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.25  2005/07/27 19:21:51  qboosh
- updated to 0.10.0, removed obsolete destdir patch
- cairo backend not ready for cairo 0.5.x, added bcond to disable

Revision 1.24  2005/04/24 21:12:28  qboosh
- updated to 0.9.5, removed obsolete freetype patch, added destdir patch

Revision 1.23  2004/10/31 16:46:48  qboosh
- added cairo backend (experimental)

Revision 1.22  2004/09/29 04:26:15  aredridel
- up to 0.9.4

Revision 1.21  2004/06/26 10:31:46  qboosh
- libwraster (WindowMaker) no longer used

Revision 1.20  2004/06/26 10:30:50  qboosh
- updated to 0.9.3, added freetype patch, amd64/ppc fixes

Revision 1.19  2004/04/29 18:53:38  aredridel
- disable art until fixed to work with new freetype

Revision 1.18  2004/04/21 05:48:59  aredridel
- rel 2 to rebuild with new WindowMaker

Revision 1.17  2004/03/02 15:22:40  aredridel
- up to 0.9.2

Revision 1.16  2003/12/27 02:14:50  aredridel
- up to 0.9.1

Revision 1.15  2003/10/01 04:41:53  aredridel
- update to 0.9.0

Revision 1.14  2003/09/05 23:11:32  qboosh
- cleanup

Revision 1.13  2003/09/03 05:52:51  aredridel
- removed devel subpackage (all headers are private now)
- updated to 0.8.9

Revision 1.12  2003/09/02 16:37:15  qboosh
- rebuild with new Headers directory layout, release 2

Revision 1.11  2003/08/02 09:28:03  gotar
- fixed X Window System spelling

Revision 1.10  2003/07/26 22:04:06  qboosh
- clone tree and compile using separate sources (like in fftw3.spec)
  - now build and install are not mixed
- fixed docs compressing, added gpbs(1) man page

Revision 1.9  2003/07/26 01:19:11  aredridel
- Fixed "Cannot find XGContext" error in back-art and back-dgs
- spec is ugly, %install and %build are merged.

Revision 1.8  2003/07/25 19:23:52  aredridel
- fix md5

Revision 1.7  2003/07/25 19:21:04  aredridel
- updated to 0.8.8
- let rpm gzip docs

Revision 1.6  2003/07/19 23:50:14  qboosh
- up to 0.8.7, removed obsolete art-freetype213 patch

Revision 1.5  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:48:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/14 20:39:27  qboosh
- updated to 0.8.5
- removed obsolete Xft2 patch, updated art-freetype213 patch
- s/Xft-devel/xft-devel/
- added hack to avoid rebuilding on make install

Revision 1.2  2002/12/29 18:01:21  qboosh
- _noautoreqdep

Revision 1.1  2002/12/29 13:47:09  qboosh
- new, based on gnustep-x[dg]ps.spec
